---
title: "Search for public class schedules"
slug: "search-for-public-class-schedules"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
canonical: "docs.skillable.com/search-for-public-class-schedules"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for public class schedules

Get/SearchPublicClassSchedule

Allows you to search the public class schedule for your organization, including classes made available to your organization by partner organizations.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parameterspageIndexinteger (int32) 

A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results).

pageSizeinteger (int32) 

Indicates how many results you want per page. if not supplied, a default value of 100 is used.

sortstring

The value you want to sort by. If not supplied, a default value of "Start" will be used. You can append " DESC" after the sort value to sort descending. For example, "Start DESC" would sort by class start time in descending order. Possible values:

- Name
- Course
- ConfirmationStatus
- Start
- End
- Organization

namestring | null

An optional parameter used to filter for classes by name. When specified, only classes that have names that contain or match the this value will be returned.

hasLabsboolean

An optional parameter used to filter for classes that have available labs. If true is passed, only classes with labs are returned. If false is passed, only classes without labs are returned.

Exampletrue
availableOnlineboolean

An optional parameter used to filter for classes that are available online. If true is passed, only online classes are returned. If false is passed, only physically delivered classes are returned.

Examplefalse

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='e265c6b6-34b9-452c-95a8-117563ee63d6'>application/json</option>
</select>Expand Allobject  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

TotalCountinteger  (int32)    

The total number of results that match the search conditions, not all of which may be in the current result set.

Example1
TotalPagesinteger  (int32)    

The total number of result pages that match the search conditions.

Example1
Results Array of object (PublicClassSearchResult)   

See PublicClassSearchResult

object  Idinteger  (int32)    

The class's unique identifier

Example56794
CourseIdinteger  (int32)    

The unique identifier of the course the class is based on.

Example5678
CourseNamestring    

The name of the course the class is based on.

ExampleSample course Name
ConfirmationStatusIdinteger  (int32)    

Indicates the current status of whether the class will run.

- Scheduled = 0
- GuaranteedToRun = 1
- Cancelled = 2
- Rescheduled = 3
- Tentative = 4
- Requested = 5
- Denied = 6
- Completed = 7

Example2223
Startinteger  (int64)    

When the class starts (in Unix epoch time).

Example1320757200
Endinteger  (int64)    

When the class ends (in Unix epoch time).

Example1320757200
OrganizationIdinteger  (int32)    

The class's organization identifier

Example123
OrganizationNamestring    

The class's organization name

ExampleSample Organization Id
NumOpeninteger  (int32)   | null  

The number of enrolled users in the class.

Example6
NumEnrollinteger  (int32)   | null  

The minimum number of students the organization requires to be in the class to run it.

Example45
MinStudentsinteger  (int32)    

The minimum number of students enrolled

Example2
MaxStudentsinteger  (int32)    

The maximum number of students enrolled

Example5
VirtualMeetingHostIdinteger  (int32)   | null  

The class's virtual meeting host identifier

Example14
VirtualMeetingIdstring   | null  

The class's VirtualMeeting identifier

CustomVirtualClassroomUrlstring   | null  

The class's custom VirtualMeeting Url

ClassroomIdstring   | null  

The class's primary classroom identifier

Example12345
ClassroomAddress1string   | null  

Classroom address

Example123 Sample Dr.
ClassroomAddress2string   | null  

Classroom address

ClassroomCitystring   | null  

Classroom address

ExampleSample City
ClassroomStatestring   | null  

Classroom address

ExampleFlorida
ClassroomCountrystring   | null  

Classroom address

ExampleSample County
ClassroomZipstring   | null  

Classroom address

Example12345
HtmlDescriptionstring   | null  

The class's HTML Description

DeliveryTypeIdinteger  (int32)    

The class's delivery identifier

Example34
